import req from '@/request'

const portal = window.context.portal

// 表格分页（培训记录台帐）
export function tableData(data) {
    return new Promise((resolve, reject) => {
        req.post(portal + `/biz/trainTask/conf/taskPage`, data)
            .then(res => resolve(res?.data || []))
            .catch(err => reject(err))
    })
}


// 导出培训记录台帐
export function exportWord(data) {
    return new Promise((resolve, reject) => {
        req.downloadPostCopy(portal + `/biz/trainTask/conf/exportWord`, data)
            .then(res => resolve(res?.data || []))
            .catch(err => reject(err))
    })
}


